## mplayer 1.3.0-8build5+10.0trisquel1

=== debian/changelog ===
mplayer (2:1.3.0-8build5+10.0trisquel1) nabia; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 23:48:50 +0000

mplayer (2:1.3.0-8build5) focal; urgency=medium

  * Rebuild for the new libdvdread soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Nov 2019 16:32:18 +0100

mplayer (2:1.3.0-8build4) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:02:53 +0000

mplayer (2:1.3.0-8build3) disco; urgency=medium

  * No-change rebuild against latest x264

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 19:28:25 -0500

mplayer (2:1.3.0-8build2) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:47:26 +0000

mplayer (2:1.3.0-8build1) cosmic; urgency=medium

  * No-change rebuild for libcdio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jun 2018 00:35:27 +0000

mplayer (2:1.3.0-8) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/changelog: Remove trailing whitespaces.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

  [ James Cowgill ]
  * debian/patches:
    - Fix patch header in 0100_svn37857_CVE-2016-4352.patch
    - Add upstream patch to use pkg-config if freetype-config is unavailable.
      (Closes: #892442)
    - Add patch to fix FTBFS with glibc 2.27 on i386. (Closes: #896805)
    - Backport upstream patches to fix FTBFS with FFmpeg 4.0. (Closes: #888378)
    - Add patch to fallback to "generic" architecture of cpu detection fails.
      (Closes: #728772)
  * debian/watch: Use secure watch URL.

 -- James Cowgill <jcowgill@debian.org>  Fri, 27 Apr 2018 12:05:43 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do not run the actual rules of this makefile in parallel. sub-makes
# can go in parallel
.NOTPARALLEL:

DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CFLAGS +=$(CPPFLAGS)
LDFLAGS += -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_FLAGS = \
	--prefix=/usr \
	--confdir=/etc/mplayer \
	--enable-debug \
	--enable-xvmc \
	--enable-menu \
	--disable-arts \
	--disable-real \
	--disable-xanim \
	--disable-qtx \
	--disable-win32dll \
	--language=all \
	--disable-libmpeg2-internal \
	--disable-ffmpeg_a \
	--disable-esd \
	--extra-cflags="${CFLAGS}" \
	--extra-ldflags="${LDFLAGS}" \
	$(archconf)

CONFIGURE_DOC_FLAGS = \
	--disable-ffmpeg_a \
	--disable-mencoder \
	--disable-mplayer \
	--yasm='' \
	--language=all

# Runtime detections is available for i386, amd64 and ppc.
ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 powerpc))
  CONFIGURE_FLAGS += --enable-runtime-cpudetection
endif

ifeq ($(DEB_HOST_ARCH),i386)
#configure optimizes for the cpu detected at ./configure time
#in order to build a generic binary, avoid non-standard opcodes through gcc
  archconf += --target=i586-linux
endif

# when run on a sparc64 kernel, configure will normally select v9 asm.
# this is hidden when running on buildds with 32bit kernel personality.
# because of #644856, this will currently lead to a FTBFS
# therefore, we force a 'generic' target.
ifeq ($(DEB_HOST_ARCH),sparc)
  archconf += --target=generic
endif

ifeq ($(DEB_HOST_ARCH),alpha)
#Avoid high optimization through gcc.
# see http://permalink.gmane.org/gmane.linux.debian.ports.alpha/7295
  archconf += --target=alpha_ev5-linux
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CONFIGURE_FLAGS += --enable-joystick --enable-radio --enable-radio-capture
    sound_backend := alsa
else
    sound_backend := oss
endif

# It seems x32 has some alsa issues. Add oss as fallback.
# see http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/2015-July/046049.html
# The default for all could be "ao=pulse,alsa,oss,sdl:aalib" to avoid this.
ifeq ($(DEB_HOST_ARCH),x32)
    sound_backend := alsa,oss
endif

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build -- mplayer
	mv mplayer gmplayer
	$(MAKE) distclean
	./configure $(CONFIGURE_FLAGS) --disable-gui
	dh_auto_build -- mplayer mencoder

override_dh_auto_build-indep:
	[ -f DOCS/HTML/en/index.html ] || dh_auto_build -- html-chunked

override_dh_auto_clean:
	[ -f config.mak ] && $(MAKE) distclean || true

override_dh_auto_configure-arch:
	./configure $(CONFIGURE_FLAGS) --enable-gui

override_dh_auto_configure-indep:
	[ -f config.mak ] || ./configure $(CONFIGURE_DOC_FLAGS)

override_dh_auto_install-arch:
	$(MAKE) install-mplayer DESTDIR=$(CURDIR)/debian/mplayer
	$(MAKE) install-mencoder DESTDIR=$(CURDIR)/debian/mencoder
	$(MAKE) install-mplayer-man DESTDIR=$(CURDIR)/debian/mplayer
	$(MAKE) install-mencoder-man DESTDIR=$(CURDIR)/debian/mencoder
	$(MAKE) install-gui-man DESTDIR=$(CURDIR)/debian/mplayer-gui
	$(MAKE) install-gui-icons DESTDIR=$(CURDIR)/debian/mplayer-gui
	find debian/mencoder -type d -empty -delete
	find debian/mplayer -type d -empty -delete
	find debian/mplayer-gui -type d -empty -delete

override_dh_auto_install-indep:
override_dh_auto_test-indep:

override_dh_compress-arch:
	dh_compress
	find debian/mencoder/usr/share/man/ -type f -name mplayer.1.gz -delete
	find debian/mplayer-gui/usr/share/man/ -type f -name mplayer.1.gz -delete

override_dh_install-arch:
	dh_install
	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf

get-orig-source:
	sh debian/get-svn-source.sh

.PHONY: get-orig-source

## mplayer 1.3.0-8+deb10u1build0.20.04.1+10.0trisquel1

=== debian/changelog ===
mplayer (2:1.3.0-8+deb10u1build0.20.04.1+10.0trisquel1) nabia-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Feb 2023 17:41:29 +0000

mplayer (2:1.3.0-8+deb10u1build0.20.04.1) focal-security; urgency=medium

  * fake sync from Debian

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 24 Feb 2023 20:11:18 +0100

mplayer (2:1.3.0-8+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Backport the following commits:
    d19ea1ce173e95c31b0e8acbe471ea26c292be2b (CVE-2022-38850)
    58db9292a414ebf13a2cacdb3ffa967fb9036935 (CVE-2022-38851)
    2f6e69e59e2614acdde5505b049c48f80a3d0eb7 (CVE-2022-38855)
    92e0d0b1a04dfdd4ac741e0d07005e3ece2c92ca (CVE-2022-38858)
    62fe0c63cf4fba91efd29bbc85309280e1a99a47 (CVE-2022-38860)
    2622e7fbe3605a2f3b4f74900197fefeedc0d2e1 (CVE-2022-38861)
    b5e745b4bfab2835103a060094fae3c6cc1ba17d (CVE-2022-38863)
    36546389ef9fb6b0e0540c5c3f212534c34b0e94 (CVE-2022-38864)
    33d9295663c37a37216633d7e3f07e7155da6144 (CVE-2022-38865)
    373517da3bb5781726565eb3114a2697b13f00f2 (CVE-2022-38866)
    (based on the patch from Moritz for Bullseye)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 29 Dec 2022 19:03:02 +0100

=== debian/control ===
Source: mplayer
Section: video
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders:
 A Mennucc1 <mennucc1@debian.org>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>,
 Reinhard Tartler <siretart@tauware.de>
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
Homepage: https://www.mplayerhq.hu
Build-Depends:
 debhelper (>= 10),
 ladspa-sdk,
 liba52-dev,
 libaa1-dev,
 libasound2-dev [linux-any],
 libass-dev,
 libaudio-dev,
 libavcodec-dev (>= 7:3.0~),
 libavformat-dev (>= 7:3.0~),
 libavutil-dev (>= 7:3.0~),
 libbluray-dev,
 libbs2b-dev,
 libcaca-dev,
 libcdio-cdda-dev,
 libcdio-paranoia-dev,
 libcrystalhd-dev [i386 amd64],
 libdirectfb-dev,
 libdts-dev,
 libdv-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libenca-dev,
 libfaad-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgif-dev,
 libgl1-mesa-dev,
 libgsm1-dev,
 libgtk2.0-dev,
 libjack-dev,
 libjpeg-dev,
 liblirc-dev,
 liblzo2-dev,
 libmad0-dev,
 libmng-dev,
 libmp3lame-dev,
 libmpcdec-dev,
 libmpeg2-4-dev,
 libmpg123-dev,
 libncurses5-dev,
 libopenal-dev,
 libopus-dev,
 libpostproc-dev (>= 7:3.0~),
 libpulse-dev,
 librtmp-dev,
 libsdl1.2-dev,
 libsmbclient-dev [!hurd-any],
 libspeex-dev,
 libswscale-dev (>= 7:3.0~),
 libtheora-dev,
 libtwolame-dev,
 libvdpau-dev,
 libvorbis-dev,
 libvorbisidec-dev,
 libx11-dev,
 libx264-dev,
 libxext-dev,
 libxinerama-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxvidcore-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 pkg-config,
 vstream-client-dev,
 x11proto-core-dev,
 yasm,
 zlib1g-dev
Build-Depends-Indep:
 docbook-xml,
 docbook-xsl,
 xsltproc

Package: mplayer-gui
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc
Depends:
 mplayer,
 mplayer-skin,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 mplayer (<< 2:1.0~rc3+svn20090426-2),
 mplayer-doc (<< 2:1.0~rc3+svn20090426-2)
Description: movie player for Unix-like systems (GUI variant)
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
 DirectFB, but also SDL.
 .
 This package includes the GUI variant of MPlayer.

Package: mencoder
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc
Depends:
 mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 mplayer (<< 2:1.1.1+svn37434-1)
Replaces:
 mplayer (<< 2:1.1.1+svn37434-1)
Description: MPlayer's Movie Encoder
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 This package contains mencoder, a simple movie encoder, designed to
 encode MPlayer-playable movies
 (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
 MPlayer-playable formats. It can encode with various codecs, like DivX4
 (1 or 2 passes), libavcodec, PCM/MP3/VBRMP3 audio. Also has stream
 copying and video resizing capabilities.

Package: mplayer
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc,
 netselect | fping
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 mencoder (<< 2:1.0~rc3+svn20090426-2),
 mplayer-doc (<< 2:1.0~rc3+svn20090426-2),
 mplayer-nogui (<< 2:1.0~rc3+svn20090426-2),
 mplayer2
Conflicts:
 mplayer2
Description: movie player for Unix-like systems
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
 DirectFB, but also SDL.
 .
 Not all of the upstream code is distributed in the source tarball.
 See the README.Debian and copyright files for details.

Package: mplayer-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Recommends:
 mplayer
Depends:
 ${misc:Depends}
Replaces:
 mplayer (<< 2:1.0~rc3+svn20090426-1)
Description: documentation for MPlayer
 This package contains the HTML documentation for MPlayer, a movie player for
 Unix-like systems. It is available in several languages.
 .
 You only need this package if you want to read the MPlayer manual. The manpages
 are included in the regular MPlayer package.

## mplayer 1.3.0.1

=== debian/changelog ===
mplayer (2:1.3.0.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 8987a12c8e5c9fbbb971300221eb35388bdc10f5']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:34:53 +0000

## mplayer 1.4%2Bds1

=== debian/changelog ===
mplayer (2:1.4+ds1-3ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2022-38850_*.patch
    - CVE-2022-38850
    - CVE-2022-38851
    - CVE-2022-38855
    - CVE-2022-38858
    - CVE-2022-38860
    - CVE-2022-38861
    - CVE-2022-38863
    - CVE-2022-38864
    - CVE-2022-38865
    - CVE-2022-38866

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 24 Feb 2023 18:20:53 +0100

mplayer (2:1.4+ds1-3build1) jammy; urgency=medium

  * Rebuild against new libx264-163.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 15:26:33 +0100

mplayer (2:1.4+ds1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entries 1.0~rc2-1, 1.0~rc1~svn19921,
    1.0pre6a-3, 1.0.cvs20030324-1.

  [ Sebastian Ramacher ]
  * debian/control: Drop vstream-client-dev from BDs
    This allows vstream-client to be removed (see #965865)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Jan 2022 21:56:59 +0100

mplayer (2:1.4+ds1-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Fix Homepage (Closes: #958879)
    - Bump Standards-Version
  * debian/patches: Apply upstream patch to fix build with ffmpeg 4.4 (Closes:
    #994002, #993090)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Sep 2021 23:07:45 +0200

mplayer (2:1.4+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/copyright: Repack to exclude ffmpeg
  * debian/patches: Refresh patches
  * debian/control:
    - Remove unused B-Ds
    - Remove obsolete Breaks+Replaces+Conflicts

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Oct 2020 00:13:44 +0200

mplayer (2:1.3.0-9) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Switch from libdts-dev to libdca-dev
    - Remove libcrytalhd-dev from B-D (see #934242)
    - Remove libdirectfb-dev from B-D
    - Bump Standards-Version
    - Set RRR: no
    - Bump debhelper compat to 13
  * debian/rules:
    - Remove get-orig-source target
    - Use architecture.mk from dpkg
  * debian/*.doc-base.*: Update paths
  * debian/upstream/signing-key.asc: Removed. Upstream no longer provides
    signatures

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Oct 2020 22:56:59 +0200

## mplayer 1.4+ds1

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

# local fallbacks for missing operating system features
OS_FEATURE-$(GETTIMEOFDAY)           += osdep/gettimeofday.c
OS_FEATURE-$(GLOB_WIN)               += osdep/glob-win.c
OS_FEATURE-$(MMAP)                   += osdep/mmap-os2.c
OS_FEATURE-$(SETENV)                 += osdep/setenv.c
OS_FEATURE-$(SHMEM)                  += osdep/shmem.c
OS_FEATURE-$(STRSEP)                 += osdep/strsep.c
OS_FEATURE-$(VSSCANF)                += osdep/vsscanf.c

# conditional source declarations
SRCS_AUDIO_INPUT-$(ALSA)             += stream/ai_alsa.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(BITMAP_FONT)           += sub/font_load.c
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c            \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c               \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c             \
                                        stream/stream_dvd_common.c

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
SRCS_COMMON-$(FFMPEG)                += av_helpers.c                    \
                                        av_opts.c                       \
                                        libaf/af_lavcac3enc.c           \
                                        libaf/af_lavcresample.c         \
                                        libmpcodecs/ad_ffmpeg.c         \
                                        libmpcodecs/ad_spdif.c          \
                                        libmpcodecs/vd_ffmpeg.c         \
                                        libmpcodecs/vf_geq.c            \
                                        libmpcodecs/vf_lavc.c           \
                                        libmpcodecs/vf_lavcdeint.c      \
                                        libmpcodecs/vf_screenshot.c     \
                                        libmpdemux/demux_lavf.c         \
                                        stream/stream_ffmpeg.c          \
                                        sub/av_sub.c                    \

SRCS_COMMON-$(CONFIG_VF_LAVFI)      +=  libmpcodecs/vf_lavfi.c

# These filters use private headers and do not work with shared FFmpeg.
SRCS_COMMON-$(FFMPEG_A)              += libmpcodecs/vf_fspp.c           \
                                        libmpcodecs/vf_qp.c             \
                                        libmpcodecs/vf_spp.c            \
                                        libmpcodecs/vf_uspp.c           \

SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c            \
                                        sub/ass_mp.c                    \
                                        sub/subassconvert.c             \

SRCS_COMMON-$(LIBASS_INTERNAL)       += libass/ass.c                    \
                                        libass/ass_bitmap.c             \
                                        libass/ass_cache.c              \
                                        libass/ass_drawing.c            \
                                        libass/ass_font.c               \
                                        libass/ass_fontconfig.c         \
                                        libass/ass_library.c            \
                                        libass/ass_parse.c              \
                                        libass/ass_render.c             \
                                        libass/ass_render_api.c         \
                                        libass/ass_shaper.c             \
                                        libass/ass_strtod.c             \
                                        libass/ass_utils.c              \

SRCS_COMMON-$(LIBBLURAY)             += stream/stream_bluray.c
SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c          \
                                        libmpcodecs/vd_libdv.c          \
                                        libmpdemux/demux_rawdv.c

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_COMMON-$(LIBMPEG2)              += libmpcodecs/vd_libmpeg2.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ALPHA) += libmpeg2/idct_alpha.c           \
                                        libmpeg2/motion_comp_alpha.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ARM)   += libmpeg2/motion_comp_arm.c      \
                                        libmpeg2/motion_comp_arm_s.S
SRCS_LIBMPEG2-INTERNAL-$(HAVE_ALTIVEC) += libmpeg2/idct_altivec.c       \
                                        libmpeg2/motion_comp_altivec.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_MMX)   += libmpeg2/idct_mmx.c             \
                                        libmpeg2/motion_comp_mmx.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_VIS)   += libmpeg2/motion_comp_vis.c
SRCS_COMMON-$(LIBMPEG2_INTERNAL)     += libmpeg2/alloc.c                \
                                        libmpeg2/cpu_accel.c            \
                                        libmpeg2/cpu_state.c            \
                                        libmpeg2/decode.c               \
                                        libmpeg2/header.c               \
                                        libmpeg2/idct.c                 \
                                        libmpeg2/motion_comp.c          \
                                        libmpeg2/slice.c                \
                                        $(SRCS_LIBMPEG2-INTERNAL-yes)

SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c       \
                                        stream/stream_nemesi.c
SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c
SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp        \
                                        libmpdemux/demux_rtp_codec.cpp  \
                                        stream/stream_live555.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c            \
                                        libmpdemux/demux_mpc.c
SRCS_COMMON-$(NATIVE_RTSP)           += stream/stream_rtsp.c            \
                                        stream/freesdp/common.c         \
                                        stream/freesdp/errorlist.c      \
                                        stream/freesdp/parser.c         \
                                        stream/librtsp/rtsp.c           \
                                        stream/librtsp/rtsp_rtp.c       \
                                        stream/librtsp/rtsp_session.c   \

SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c       \
                                        stream/asf_mmst_streaming.c     \
                                        stream/asf_streaming.c          \
                                        stream/cookies.c                \
                                        stream/http.c                   \
                                        stream/network.c                \
                                        stream/pnm.c                    \
                                        stream/rtp.c                    \
                                        stream/udp.c                    \
                                        stream/tcp.c                    \
                                        stream/stream_rtp.c             \
                                        stream/stream_udp.c             \
                                        stream/librtsp/rtsp.c           \
                                        stream/realrtsp/asmrp.c         \
                                        stream/realrtsp/real.c          \
                                        stream/realrtsp/rmff.c          \
                                        stream/realrtsp/sdpplin.c       \
                                        stream/realrtsp/xbuffer.c       \

SRCS_COMMON-$(PNG)                   += libmpcodecs/vd_mpng.c
SRCS_COMMON-$(POSTPROC)              += libmpcodecs/vf_pp.c
SRCS_COMMON-$(PRIORITY)              += osdep/priority.c
SRCS_COMMON-$(PVR)                   += stream/stream_pvr.c
SRCS_COMMON-$(QTX_CODECS)            += libmpcodecs/ad_qtaudio.c        \
                                        libmpcodecs/vd_qtvideo.c
SRCS_COMMON-$(RADIO)                 += stream/stream_radio.c
SRCS_COMMON-$(RADIO_CAPTURE)         += stream/audio_in.c
SRCS_COMMON-$(REAL_CODECS)           += libmpcodecs/ad_realaud.c        \
                                        libmpcodecs/vd_realvid.c
SRCS_COMMON-$(SPEEX)                 += libmpcodecs/ad_speex.c
SRCS_COMMON-$(STREAM_CACHE)          += stream/cache2.c
SRCS_COMMON-$(TV)                    += stream/frequencies.c            \
                                        stream/stream_tv.c              \
                                        stream/tv.c                     \
                                        stream/tvi_dummy.c
SRCS_COMMON-$(TV_BSDBT848)           += stream/tvi_bsdbt848.c
SRCS_COMMON-$(TV_DSHOW)              += stream/tvi_dshow.c              \
                                        loader/dshow/guids.c            \
                                        loader/dshow/mediatype.c        \

SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c                \
                                        stream/audio_in.c
SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c               \
                                        stream/audio_in.c
SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
SRCS_COMMON-$(VORBIS)                += libmpcodecs/ad_libvorbis.c      \
                                        libmpdemux/demux_ogg.c
SRCS_COMMON-$(VSTREAM)               += stream/stream_vstream.c
SRCS_QTX_EMULATION                   += loader/wrapper.S

=== debian/changelog ===
mplayer (2:1.4+ds1-1+deb11u1) bullseye; urgency=medium

  * Backport the following commits:
    d19ea1ce173e95c31b0e8acbe471ea26c292be2b (CVE-2022-38850)
    58db9292a414ebf13a2cacdb3ffa967fb9036935 (CVE-2022-38851)
    2f6e69e59e2614acdde5505b049c48f80a3d0eb7 (CVE-2022-38855)
    92e0d0b1a04dfdd4ac741e0d07005e3ece2c92ca (CVE-2022-38858)
    62fe0c63cf4fba91efd29bbc85309280e1a99a47 (CVE-2022-38860)
    2622e7fbe3605a2f3b4f74900197fefeedc0d2e1 (CVE-2022-38861)
    b5e745b4bfab2835103a060094fae3c6cc1ba17d (CVE-2022-38863)
    36546389ef9fb6b0e0540c5c3f212534c34b0e94 (CVE-2022-38864)
    33d9295663c37a37216633d7e3f07e7155da6144 (CVE-2022-38865)
    373517da3bb5781726565eb3114a2697b13f00f2 (CVE-2022-38866)

 -- Moritz Mühlenhoff <jmm@debian.org>  Mon, 28 Nov 2022 21:31:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
 Homepage: https://www.mplayerhq.hu
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  ladspa-sdk,
  liba52-dev,
  libaa1-dev,
@@ -26,9 +26,7 @@
  libcaca-dev,
  libcdio-cdda-dev,
  libcdio-paranoia-dev,
- libcrystalhd-dev [i386 amd64],
- libdirectfb-dev,
- libdts-dev,
+ libdca-dev,
  libdv-dev,
  libdvdnav-dev,
  libdvdread-dev,
@@ -48,12 +46,9 @@
  libmad0-dev,
  libmng-dev,
  libmp3lame-dev,
- libmpcdec-dev,
  libmpeg2-4-dev,
  libmpg123-dev,
- libncurses5-dev,
  libopenal-dev,
- libopus-dev,
  libpostproc-dev (>= 7:3.0~),
  libpulse-dev,
  librtmp-dev,
@@ -64,7 +59,6 @@
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
- libvorbis-dev,
  libvorbisidec-dev,
  libx11-dev,
  libx264-dev,
@@ -86,6 +80,7 @@
  docbook-xml,
  docbook-xsl,
  xsltproc
+Rules-Requires-Root: no
 
 Package: mplayer-gui
 Architecture: any
@@ -100,9 +95,6 @@
  mplayer-skin,
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- mplayer (<< 2:1.0~rc3+svn20090426-2),
- mplayer-doc (<< 2:1.0~rc3+svn20090426-2)
 Description: movie player for Unix-like systems (GUI variant)
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
  ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
@@ -111,7 +103,7 @@
  .
  Another big feature of MPlayer is the wide range of supported output
  drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
- DirectFB, but also SDL.
+ but also SDL.
  .
  This package includes the GUI variant of MPlayer.
 
@@ -127,10 +119,6 @@
  mplayer,
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- mplayer (<< 2:1.1.1+svn37434-1)
-Replaces:
- mplayer (<< 2:1.1.1+svn37434-1)
 Description: MPlayer's Movie Encoder
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
  ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
@@ -156,13 +144,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- mencoder (<< 2:1.0~rc3+svn20090426-2),
- mplayer-doc (<< 2:1.0~rc3+svn20090426-2),
- mplayer-nogui (<< 2:1.0~rc3+svn20090426-2),
- mplayer2
-Conflicts:
- mplayer2
 Description: movie player for Unix-like systems
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
  ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
@@ -171,7 +152,7 @@
  .
  Another big feature of MPlayer is the wide range of supported output
  drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
- DirectFB, but also SDL.
+ but also SDL.
  .
  Not all of the upstream code is distributed in the source tarball.
  See the README.Debian and copyright files for details.
@@ -184,8 +165,6 @@
  mplayer
 Depends:
  ${misc:Depends}
-Replaces:
- mplayer (<< 2:1.0~rc3+svn20090426-1)
 Description: documentation for MPlayer
  This package contains the HTML documentation for MPlayer, a movie player for
  Unix-like systems. It is available in several languages.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://mplayerhq.hu/MPlayer/releases/ MPlayer-(.+)\.tar\.xz

## mplayer 1.4+ds1-3ubuntu0.1+11.0trisquel1

=== debian/changelog ===
mplayer (2:1.4+ds1-3ubuntu0.1+11.0trisquel1) aramo-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Feb 2023 17:40:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
-Homepage: https://www.mplayerhq.hu
+Homepage: https://mplayerhq.hu
 Build-Depends:
  debhelper-compat (= 13),
  ladspa-sdk,
@@ -72,7 +73,6 @@
  libxxf86dga-dev,
  libxxf86vm-dev,
  pkg-config,
- vstream-client-dev,
  x11proto-core-dev,
  yasm,
  zlib1g-dev

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,9 @@
 # can go in parallel
 .NOTPARALLEL:
 
-DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+include /usr/share/dpkg/architecture.mk
 
 CFLAGS +=$(CPPFLAGS)
-LDFLAGS += -Wl,--as-needed
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -125,8 +123,3 @@
 	dh_install
 	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
 	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf
-
-get-orig-source:
-	sh debian/get-svn-source.sh
-
-.PHONY: get-orig-source

## mplayer 1.4.0

=== debian/changelog ===
mplayer (2:1.4.0-2.lnd.2) unstable; urgency=medium

  *  Release mplayer-1.4.0-2.lnd.1
     - Fix -march option error due to compiler update

 -- jenkins <jenkins@loongson.cn>  Thu, 10 Mar 2022 10:41:08 +0800

mplayer (2:1.4.0-2) unstable; urgency=low

  [ gxw ]
  * Add support for loongarch

 -- Shiyou Yin <yinshiyou-hf@loongson.cn>  Sat, 9 Jan 2021 16:01:56 +0800

mplayer (2:1.4.0-1) unstable; urgency=low

  [ gxw ]
  * Update mplayer to 1.4.0-1
  * Merge patches from origin/master
    - configure: Add loongson series cpu support
    - cpudetect: Add loongson cpu flag
    - libvo: Optimize fastmemcpy for loongson with mmi
    - tools: Add fastmemcpy test bench for loongson

 -- gxw <guxiwei-hf@loongson.cn>  Wed, 10 Sep 2020 20:16:04 +0800

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,11 @@
 # can go in parallel
 .NOTPARALLEL:
 
-include /usr/share/dpkg/architecture.mk
+DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CFLAGS +=$(CPPFLAGS)
+LDFLAGS += -Wl,--as-needed -lXext -lX11
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -20,11 +22,13 @@
 	--enable-xvmc \
 	--enable-menu \
 	--disable-arts \
-	--disable-real \
-	--disable-xanim \
-	--disable-qtx \
-	--disable-win32dll \
 	--language=all \
+	--enable-joystick \
+	--enable-radio \
+	--enable-radio-capture \
+	--enable-gui \
+	--enable-vdpau \
+	--enable-x11 \
 	--disable-libmpeg2-internal \
 	--disable-ffmpeg_a \
 	--disable-esd \
@@ -123,3 +127,8 @@
 	dh_install
 	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
 	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf
+
+get-orig-source:
+	sh debian/get-svn-source.sh
+
+.PHONY: get-orig-source

## mplayer 1.5%2Bsvn38446

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,14 @@
 # can go in parallel
 .NOTPARALLEL:
 
-DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildtools.mk
+
+D_VERSION = $(shell dpkg-parsechangelog -SVersion | sed -e 's/^[0-9]*://')
+OUR_VERSION = \#define VERSION \"$(D_VERSION) (Debian)\"
+OUR_TITLE = \#define MP_TITLE \"MPlayer $(D_VERSION) (Debian)\"
 
 CFLAGS +=$(CPPFLAGS)
-LDFLAGS += -Wl,--as-needed -lXext -lX11
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -23,12 +26,6 @@
 	--enable-menu \
 	--disable-arts \
 	--language=all \
-	--enable-joystick \
-	--enable-radio \
-	--enable-radio-capture \
-	--enable-gui \
-	--enable-vdpau \
-	--enable-x11 \
 	--disable-libmpeg2-internal \
 	--disable-ffmpeg_a \
 	--disable-esd \
@@ -82,24 +79,39 @@
     sound_backend := alsa,oss
 endif
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+ifeq ($(archconf),)
+	archconf += --target=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)
+endif
+	archconf += \
+		--enable-cross-compile \
+		--cc=$(CC) \
+		--host-cc=$(CC_FOR_BUILD)
+	export PATH:=$(CURDIR)/debian/devbin:$(PATH)
+endif
+
 %:
 	dh $@
 
 override_dh_auto_build-arch:
 	dh_auto_build -- mplayer
 	mv mplayer gmplayer
+	$(MAKE) install-gui-msg DESTDIR=$(CURDIR)/gui-msg
 	$(MAKE) distclean
 	./configure $(CONFIGURE_FLAGS) --disable-gui
+	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
 	dh_auto_build -- mplayer mencoder
 
 override_dh_auto_build-indep:
 	[ -f DOCS/HTML/en/index.html ] || dh_auto_build -- html-chunked
 
 override_dh_auto_clean:
+	rm -rf gui-msg
 	[ -f config.mak ] && $(MAKE) distclean || true
 
 override_dh_auto_configure-arch:
-	./configure $(CONFIGURE_FLAGS) --enable-gui
+	./configure $(CONFIGURE_FLAGS) --enable-gui --enable-nls
+	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
 
 override_dh_auto_configure-indep:
 	[ -f config.mak ] || ./configure $(CONFIGURE_DOC_FLAGS)
@@ -127,8 +139,3 @@
 	dh_install
 	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
 	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf
-
-get-orig-source:
-	sh debian/get-svn-source.sh
-
-.PHONY: get-orig-source

## mplayer 1.5%2Bsvn38674

=== debian/changelog ===
mplayer (2:1.5+svn38674-3build1) resolute; urgency=medium

  * Rebuild against new libx264-165.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Oct 2025 19:44:34 +0200

mplayer (2:1.5+svn38674-3) unstable; urgency=medium

  * fix d/watch file
  * update d/copyright
  * d/control: drop libpostproc-dev from BD (see #1115054)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 13 Sep 2025 11:27:41 +0200

mplayer (2:1.5+svn38674-2) unstable; urgency=medium

  * drop patch for CVE-2016-4352, already included upstream.
     + Thanks: Andrea Pappacoda <tachi@debian.org>
  * update Standards-Version to 4.7.2, no change required

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 22 Mar 2025 23:53:41 +0100

mplayer (2:1.5+svn38674-1) unstable; urgency=medium

  * New upstream snapshot 1.5+svn38674
  * quilt:
    - drop patches included upstream
    - refresh patch 0204

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 10 Feb 2025 16:26:18 +0100

mplayer (2:1.5+svn38638-3) unstable; urgency=medium

  * quilt: add upstream patch to fix ftbfs on powerpc

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 21 Dec 2024 03:28:12 +0100

mplayer (2:1.5+svn38638-2) unstable; urgency=medium

  * upload to unstable

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 17 Dec 2024 01:38:34 +0100

mplayer (2:1.5+svn38638-1) experimental; urgency=medium

  * New upstream version 1.5+svn38638
  * refresh quilt patches
  * quilt:
      - test upstream patch for FTBFS with gcc-14 (Closes: #1075294)
      - upstream fix for security issue #2426 (Closes: #1083029)
      - more patches to fix gcc-14 failures on i386
  * update d/copyright
  * bump Standards-Version to 4.7.0
  * gitignore: ignore quilt's .pc

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 30 Sep 2024 22:29:54 +0200

mplayer (2:1.5+svn38542-1) unstable; urgency=medium

  * New upstream version 1.5+svn38542
     - fix FTBFS with ffmpeg7
     - d/rules: drop xvmc config flag, removed upstream
     - quilt: import upstream patch for jack ao
     (Closes: #1069595, #418855,  #576591, LP: #481597)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 03 Jun 2024 23:30:23 +0200

mplayer (2:1.5+svn38446-2) unstable; urgency=medium

  * build a noaltivec variant of mplayer for powerpc
  * install alternatives for mplayer-altivec and
     mplayer-noaltivec on powerpc; the altivec
     variant has the highest priority (Closes: #410962)
  * d/control: B-D:
      - add dh-exec
      - replace obsolete pkg-config with pkgconf

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 08 Feb 2024 23:49:19 +0100

mplayer (2:1.5+svn38446-1) unstable; urgency=medium

  * Team upload
  * d/watch: Scan SVN repo

  [ Lorenzo Puliti ]
  * New upstream version 1.5+svn38446
     - fix FTBFS (Closes: #1057579)
     - d/control: B-D: switch to nasm
     - avoid crahes when -wid specifies an
       invalid Window ID, see #1034867
     - fix ID_VID_0_ROTATE, relevant for #1040168

  [ Vagrant Cascadian ]
  * debian/rules: Use printf instead of echo (Closes: #1039457)

  [ Paul Wise ]
  * improve printf line in d/rules

 -- Bastian Germann <bage@debian.org>  Sun, 10 Dec 2023 12:38:09 +0100

mplayer (2:1.5+svn38423-2) unstable; urgency=medium

  * Upload to unstable
  * Drop unused version.patch
  * update upstream metadata
  * Update old B-D libgl1-mesa-dev, replaced with libgl-dev
     and libglvnd-dev

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 18 Jun 2023 10:40:15 +0200

mplayer (2:1.5+svn38423-1) experimental; urgency=medium

  * update copyright for debian files
  * Fix FTCBFS: (Closes: #1032158)
      - Pass cross compilation flags to configure.
      - Inject a pkg-config for host into $PATH.
      - Missing Build-Depends: libavutil-dev:native.
     Thanks to Helmut Grohne <helmut@subdivi.de>
  * mplayer-gui: add Native Language Support: (Closes: #1036170)
      - build the gui variant with --enable-nls
      - generate and install *.mo files
      - clean up the temporary dir for .mo files
    Thanks to Ingo Brückl <ib@wupperonline.de>
  * mplayer-gui: add missing MIME types to desktop file.
    Thanks to Petter Reinholdtsen <pere@hungry.com> (Closes: #842809)
  * Automate version in d/rules
  * New upstream snapshot 1.5+svn38423

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 23 May 2023 15:02:42 +0200

mplayer (2:1.5+svn38408-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Lorenzo Puliti ]
  * New upstream svn snapshot 1.5+svn38408 (Closes: #1009714)
      - fixes FTBFS with recent ffmpeg (Closes: #1004579, #1030190)
      - fixes CVE-2022-38600, CVE-2022-38864, CVE-2022-38861,
        see #1021013
      - fixes broken theora (ogv) playback (Closes: #920485)
  * debian/patches:
      - temporary drop Debian version patch
      - drop 0007-ad_spdif patch, merged upstream
      - refresh other patches
  * New maintainer (Closes: #1005899)
  * Relax mplayer-skin dependency to recommends: mplayer-gui
     now has a minimalistic build-in skin. This is to avoid a circular
     dependency between mplayer-gui and mplayer-skin-blue.
    Thanks to Ingo Brückl (Closes: #983788)
  * bump Standards-Version to 4.6.2
  * Fix mismatched lintian overrides
  * enable the salsa.ci pipeline
  * update B-D replacing transitional packages with real ones

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 26 Jan 2023 20:14:25 +0100

## mplayer 1.5+svn38408

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
- Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 4.6.0
+ Reinhard Tartler <siretart@tauware.de>,
+ Lorenzo Puliti <plorenzo@disroot.org>
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/mplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mplayer
 Homepage: https://mplayerhq.hu
@@ -19,9 +19,9 @@
  libasound2-dev [linux-any],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 7:3.0~),
- libavformat-dev (>= 7:3.0~),
- libavutil-dev (>= 7:3.0~),
+ libavcodec-dev,
+ libavformat-dev,
+ libavutil-dev,
  libbluray-dev,
  libbs2b-dev,
  libcaca-dev,
@@ -33,8 +33,8 @@
  libdvdread-dev,
  libenca-dev,
  libfaad-dev,
- libfontconfig1-dev,
- libfreetype6-dev,
+ libfontconfig-dev,
+ libfreetype-dev,
  libfribidi-dev,
  libgif-dev,
  libgl1-mesa-dev,
@@ -50,13 +50,13 @@
  libmpeg2-4-dev,
  libmpg123-dev,
  libopenal-dev,
- libpostproc-dev (>= 7:3.0~),
+ libpostproc-dev,
  libpulse-dev,
  librtmp-dev,
  libsdl1.2-dev,
  libsmbclient-dev [!hurd-any],
  libspeex-dev,
- libswscale-dev (>= 7:3.0~),
+ libswscale-dev,
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
@@ -92,9 +92,9 @@
  mplayer-doc
 Depends:
  mplayer,
- mplayer-skin,
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends: mplayer-skin
 Description: movie player for Unix-like systems (GUI variant)
  MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
  ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,6 @@
 .NOTPARALLEL:
 
 include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
-
-D_VERSION = $(shell dpkg-parsechangelog -SVersion | sed -e 's/^[0-9]*://')
-OUR_VERSION = \#define VERSION \"$(D_VERSION) (Debian)\"
-OUR_TITLE = \#define MP_TITLE \"MPlayer $(D_VERSION) (Debian)\"
 
 CFLAGS +=$(CPPFLAGS)
 
@@ -79,39 +74,24 @@
     sound_backend := alsa,oss
 endif
 
-ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-ifeq ($(archconf),)
-	archconf += --target=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)
-endif
-	archconf += \
-		--enable-cross-compile \
-		--cc=$(CC) \
-		--host-cc=$(CC_FOR_BUILD)
-	export PATH:=$(CURDIR)/debian/devbin:$(PATH)
-endif
-
 %:
 	dh $@
 
 override_dh_auto_build-arch:
 	dh_auto_build -- mplayer
 	mv mplayer gmplayer
-	$(MAKE) install-gui-msg DESTDIR=$(CURDIR)/gui-msg
 	$(MAKE) distclean
 	./configure $(CONFIGURE_FLAGS) --disable-gui
-	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
 	dh_auto_build -- mplayer mencoder
 
 override_dh_auto_build-indep:
 	[ -f DOCS/HTML/en/index.html ] || dh_auto_build -- html-chunked
 
 override_dh_auto_clean:
-	rm -rf gui-msg
 	[ -f config.mak ] && $(MAKE) distclean || true
 
 override_dh_auto_configure-arch:
-	./configure $(CONFIGURE_FLAGS) --enable-gui --enable-nls
-	printf '%s\n%s\n' "$(OUR_VERSION)" "$(OUR_TITLE)" >> version.h
+	./configure $(CONFIGURE_FLAGS) --enable-gui
 
 override_dh_auto_configure-indep:
 	[ -f config.mak ] || ./configure $(CONFIGURE_DOC_FLAGS)
